> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a price point

> Add a new Price Point (pricing plan) to your offerings.



## OpenAPI

````yaml /swagger/openapi-billing.json post /pp/create
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /pp/create:
    post:
      tags:
        - PricePoints
      summary: Create a price point
      description: Add a new Price Point (pricing plan) to your offerings.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PricePointCreateIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ok200'
components:
  schemas:
    PricePointCreateIn:
      properties:
        ident:
          description: Unique identifier for this price point
          maxLength: 256
          pattern: ^[-A-Za-z_0-9]{1,256}$
          title: Price point identifier
          type: string
        intro_type:
          $ref: '#/components/schemas/IntroTypeEnum'
        currency_code:
          title: Currency Code
          type: string
        lifetime_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Lifetime Price
          nullable: true
        intro_free_trial_period:
          exclusiveMinimum: true
          type: integer
          nullable: true
          minimum: 0
        intro_free_trial_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        intro_paid_trial_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Intro Paid Trial Price
          nullable: true
        intro_paid_trial_period:
          exclusiveMinimum: true
          type: integer
          nullable: true
          minimum: 0
        intro_paid_trial_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        next_price:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Next Price
          nullable: true
        next_period:
          exclusiveMinimum: true
          type: integer
          nullable: true
          minimum: 0
        next_period_duration:
          anyOf:
            - $ref: '#/components/schemas/DurationEnum'
          default: null
          nullable: true
        descriptor:
          maxLength: 22
          pattern: ^[-A-Za-z_0-9_ .]{1,22}$
          type: string
          nullable: true
        features:
          anyOf:
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: string
          description: Feature list (array of strings or CSV string)
          title: Features
      required:
        - ident
        - intro_type
        - currency_code
        - features
      title: PricePointCreateIn
      type: object
    Ok200:
      properties: {}
      title: Ok200
      type: object
    IntroTypeEnum:
      enum:
        - no_intro
        - free_trial
        - paid_trial
      title: IntroTypeEnum
      type: string
    DurationEnum:
      enum:
        - minutes
        - days
        - weeks
        - months
        - years
      title: DurationEnum
      type: string
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````